v0.14.2 - December 4, 2018

  • This is primarily a bugfix release.
  • FEATURE: The time from expiry at which AutoSSL replaces an existing valid certificate can now be adjusted via autossl_expiry_replacement_cutoff (in the number of days). Previously, this was hardcoded to 48 hours. Valid range is [1,90].
  • FIX: AutoSSL would sometimes incorrectly replace existing valid certificates when there was no name overlap between the certificate being installed and the existing certificate. Now AutoSSL will avoid installing certificates to any virtual host that has a valid certificate of any kind.
  • FIX: The plugin now uses significantly less file descriptors on servers with many accounts. Previously, cpsrvd/whostmgrd’s memory usage could grow due to many keep-alive connections kept open by the plugin. The plugin now closes these much more aggressively, which should ease memory pressure.
  • FIX: In the cPanel Let’s Encrypt UI, the domain table would not render properly when using the certificate sharing feature.
  • FIX: When unsharing a certificate from a virtual host, the certificate is now uninstalled from that virtual host.
  • MISC: Updated ACME client to support latest draft.
  • MISC: Update to Go 1.11.2.